from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class StackingDirection(IntEnum):
    NO_STACKING = auto()
    Y_STACKING = auto()
    Z_STACKING = auto()
